Name:          diffoscope
Version:       54
Release:       1%{?dist}
Summary:       In-depth comparison of files, archives, and directories
License:       GPLv3+
URL:           https://diffoscope.org/
Source0:       http://ftp.debian.org/debian/pool/main/d/diffoscope/diffoscope_%{version}.tar.xz

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pytest
BuildRequires: python3-magic
BuildRequires: python3-libguestfs
BuildRequires: python3-libguestfs
BuildRequires: python3-libarchive-c
BuildRequires: python3-docutils
BuildRequires: /usr/bin/rst2man
Requires:      python3-magic
Requires:      python3-tlsh

%description
diffoscope will try to get to the bottom of what makes files or directories
different. It will recursively unpack archives of many kinds and transform
various binary formats into more human readable form to compare them. It can
compare two tarballs, ISO images, or PDF just as easily. The differences can
be shown in a text or HTML report.

diffoscope is developed as part of the "reproducible builds" Debian project and
was formerly known as "debbindiff".

%prep
%autosetup -n %{name}
find . -name '*.pyc' -print -delete
sed -i '1{\@/usr/bin/env@d}' diffoscope/__main__.py

%build
%py3_build
rst2man debian/diffoscope.1.rst > build/diffoscope.1

%install
%py3_install
echo %{buildroot}%{python3_sitelib}
rm %{buildroot}%{python3_sitelib}/*/requires.txt
install -Dm0644 build/diffoscope.1 %{buildroot}%{_mandir}/man1/diffoscope.1

%check
# disable one test crudely
# (https://github.com/pytest-dev/pytest/issues/1442#issuecomment-194259675)
sed -i s/test_differences/_disabled_/ tests/comparators/test_fsimage.py
# http://bugs.debian.org/817193

export LC_CTYPE=en_US.utf8
export TZ=UTC
export PYTHONPATH=build/lib/
py.test-%{python3_version} tests/ -vv

%files
%doc README.rst
%license COPYING
%{python3_sitelib}/diffoscope*
%{_bindir}/diffoscope
%doc %{_mandir}/man1/diffoscope.1*

%changelog
* Fri Jun 10 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 54-1
- Update to latest version

* Thu Mar 10 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 51-3
- Change License to GPLv3+

* Thu Mar 10 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 51-2
- Require python3-tlsh

* Wed Mar  9 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 51-1
- Update to v 51
- Add man page

* Tue Mar  8 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 48-1
- Update to v 48, simplify packaging

* Sat Dec 05 2015 Dhiru Kholia <dhiru@openwall.com> - 42-1
- Initial version
